Skip to main content
GET
Get Subscription Onetime Addon Purchase History List

Endpoint Overview

GET https://api.unibee.dev/merchant/subscription/onetime_addon_purchase_list Get Subscription Onetime Addon Purchase History List

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Query parameters


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

userId
integer<int64>
required

UserId

subscriptionIds
string<string>[]

Filter SubscriptionIds, Default All

addonIds
integer<int64>[]

Filter AddonIds, Default All

status
integer<int>[]

Filter Status, Default All,1-Create|2-Paid|3-Cancel|4-Expired

createTimeStart
integer<int64>

CreateTimeStart,UTC timestamp,seconds

createTimeEnd
integer<int64>

CreateTimeEnd,UTC timestamp,seconds

periodStart
integer<int64>

PeriodStart,addon effective period start,UTC timestamp,seconds

periodEnd
integer<int64>

PeriodEnd,addon effective period end,UTC timestamp,seconds

page
integer<int>

Page, Start With 0

count
integer<int>

Count Of Page

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>